# Uses of Class
org.italiangrid.voms.ac.VOMSValidationResult

Packages that use VOMSValidationResult
Package
Description
org.italiangrid.voms.ac
This package provides the APIs to perform validation and parsing of VOMS attributes.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSValidationResult in org.italiangrid.voms.ac

Methods in org.italiangrid.voms.ac that return VOMSValidationResult
Modifier and Type
Method
Description
`VOMSValidationResult`
VOMSACValidationStrategy.`validateAC(VOMSAttribute attributes)`
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)
`VOMSValidationResult`
VOMSACValidationStrategy.`validateAC(VOMSAttribute attributes, X509Certificate[] theChain)`
Validates a VOMS Attribute Certificate
Methods in org.italiangrid.voms.ac that return types with arguments of type VOMSValidationResult
Modifier and Type
Method
Description
`List<VOMSValidationResult>`
VOMSACValidator.`validateWithResult(X509Certificate[] validatedChain)`
Parses and validates the VOMS attributes found in the certificate chain passed as argument (which is assumed to be validated already).
Methods in org.italiangrid.voms.ac with parameters of type VOMSValidationResult
Modifier and Type
Method
Description
`void`
ValidationResultListener.`notifyValidationResult(VOMSValidationResult result)`
Informs of the result of the validation of a set of `VOMSAttribute`

## Uses of VOMSValidationResult in org.italiangrid.voms.ac.impl

Methods in org.italiangrid.voms.ac.impl that return VOMSValidationResult
Modifier and Type
Method
Description
`VOMSValidationResult`
DefaultVOMSValidationStrategy.`validateAC(VOMSAttribute attributes)`
`VOMSValidationResult`
DefaultVOMSValidationStrategy.`validateAC(VOMSAttribute attributes, X509Certificate[] chain)`
Methods in org.italiangrid.voms.ac.impl that return types with arguments of type VOMSValidationResult
Modifier and Type
Method
Description
`protected List<VOMSValidationResult>`
DefaultVOMSValidator.`internalValidate(X509Certificate[] validatedChain)`
`List<VOMSValidationResult>`
DefaultVOMSValidator.`validateWithResult(X509Certificate[] validatedChain)`

## Uses of VOMSValidationResult in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSValidationResult
Modifier and Type
Method
Description
`void`
NullListener.`notifyValidationResult(VOMSValidationResult result)`